Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
Ipopt::TripletToCSRConverter::TripletEntry Class Reference

Class for one triplet position entry. More...

## Public Member Functions
void | Set (Index i_row, Index j_col, Index i_pos_triplet)
| Set the values of an entry. More...
bool | operator< (const TripletEntry &Tentry) const
| Comparison operator. More...
Accessor methods.
Index | IRow () const
| Row position. More...
Index | JCol () const
| Column position. More...
Index | PosTriplet () const
| Index in original triplet matrix. More...

## Private Attributes
Entry content.
Index | i_row_
Index | j_col_
Index | i_pos_triplet_

## Detailed Description

Class for one triplet position entry.

Definition at line 26 of file IpTripletToCSRConverter.hpp.

## Member Function Documentation

void Ipopt::TripletToCSRConverter::TripletEntry::Set | ( | Index | i_row,
|  | Index | j_col,
|  | Index | i_pos_triplet
| ) |  |
| inline

Set the values of an entry.

Definition at line 31 of file IpTripletToCSRConverter.hpp.

Index Ipopt::TripletToCSRConverter::TripletEntry::IRow | ( |  | ) | const
| inline

Row position.

Definition at line 47 of file IpTripletToCSRConverter.hpp.

Index Ipopt::TripletToCSRConverter::TripletEntry::JCol | ( |  | ) | const
| inline

Column position.

Definition at line 52 of file IpTripletToCSRConverter.hpp.

Index Ipopt::TripletToCSRConverter::TripletEntry::PosTriplet | ( |  | ) | const
| inline

Index in original triplet matrix.

Definition at line 57 of file IpTripletToCSRConverter.hpp.

bool Ipopt::TripletToCSRConverter::TripletEntry::operator< | ( | const TripletEntry & | Tentry | ) | const
| inline

Comparison operator.

This is required for the sort function.

Definition at line 64 of file IpTripletToCSRConverter.hpp.

## Member Data Documentation

Index Ipopt::TripletToCSRConverter::TripletEntry::i_row_
| private

Definition at line 74 of file IpTripletToCSRConverter.hpp.

Index Ipopt::TripletToCSRConverter::TripletEntry::j_col_
| private

Definition at line 75 of file IpTripletToCSRConverter.hpp.

Index Ipopt::TripletToCSRConverter::TripletEntry::i_pos_triplet_
| private

Definition at line 76 of file IpTripletToCSRConverter.hpp.

The documentation for this class was generated from the following file:

- src/Algorithm/LinearSolvers/IpTripletToCSRConverter.hpp